> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/product.md).

# Product

Manage product data in the VARIO Cloud API, including product settings, bundles, variants, suppliers, customers, copying and unit price conversion.

Article copying.

## PUT /erp/products/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Product","description":"Article copying."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/products/{id}":{"put":{"tags":["Product"],"summary":"Update existing Resource ","operationId":"update_21","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-Product"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-Product"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-product-Product":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bundle":{"type":"boolean","default":false,"description":"Is this a container?"},"bundleSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"type":{"type":"string","description":"Article types.","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"]},"articleRefs":{"type":"array","description":"All articles belonging to this product.","items":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"readOnly":true},"availabilityDetermination":{"$ref":"#/components/schemas/erp-product-ArticleAvailabilityDetermination"},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]},"expiryDateType":{"type":"string","description":"Expiry date type for serial articles.","enum":["NONE","BEST_BEFORE_DATE","EXPIRATION_DATE"]},"minimumRemainingDaysBeforeExpiryDateOnGoodsReceipt":{"type":"integer","format":"int32","description":"Minimum remaining shelf life incoming (days): minimum remaining shelf life in days an article must still have when booked into a sales storage."},"minimumRemainingDaysBeforeExpiryDateForGoodsIssued":{"type":"integer","format":"int32","description":"Minimum remaining shelf life outgoing (days): minimum remaining shelf life in days an article must still have when sold."},"warrantyInMonths":{"type":"integer","format":"int32","description":"Warranty in months."},"lotOnlyRequiredWhenBookedToSalesStorage":{"type":"boolean","default":false,"description":"A lot must be assigned when booking into a sales storage (for serial types LOT and BEST_BEFORE)."},"serialNumberLabelingType":{"type":"string","description":"Serial number labeling type.","enum":["MANUAL","AUTOMATIC_ON_SUPPLIER_ORDER","AUTOMATIC_ON_SUPPLIER_DELIVERY"]},"fabricationSerialNumberLabelingType":{"type":"string","description":"Fabrication serial number labeling type.","enum":["QUERY_ON_START","QUERY_ON_FINISH","INHERITANCE","AUTOMATICALLY_ON_START","AUTOMATICALLY_ON_FINISH"]},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":15,"minLength":0},"countryOfOrigin":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"regionOfOrigin":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"useSerialSequencerConfiguration":{"type":"boolean","description":"Should an own number range be used for the serial numbers?"},"serialSequencerConfiguration":{"$ref":"#/components/schemas/common-sequencer-SequencerConfiguration"},"variantValues":{"type":"array","description":"Variant values.","items":{"$ref":"#/components/schemas/common-variant-VariantValueReference"}},"variantSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"mainVariantProductRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-product-ProductArticleRef":{"description":"All articles belonging to this product.","properties":{"id":{"type":"integer","format":"int64","description":"Article identifier."},"number":{"type":"string","description":"Article number"},"name":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]},"unit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["unit"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-product-ArticleAvailabilityDetermination":{"description":"Availability determination for the article master data and the stock view.","properties":{"inStock":{"type":"string","description":"How the stock is handled.","enum":["IGNORE","ADD","SUBTRACT"]},"reserved":{"type":"string","description":"How reserved quantities are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"ordered":{"type":"string","description":"How ordered quantities are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"inPicking":{"type":"string","description":"How quantities in picking are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"reporting":{"type":"string","description":"How reorder levels are handled.","enum":["IGNORE","ADD","SUBTRACT"]}}},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"common-sequencer-SequencerConfiguration":{"description":"Own number range for serial numbers.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"Unique key to identify the sequencer configuration","readOnly":true},"configurationGroup":{"type":"string","description":"Group of the sequencer configuration (e.g. Document, Account, ...)","readOnly":true},"configurationDetail":{"$ref":"#/components/schemas/common-sequencer-SequencerConfigurationDetail"},"alternativeConfiguration":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the sequencer active?"}},"required":["configurationDetail"]},"common-sequencer-SequencerConfigurationDetail":{"description":"Contains details about the sequencer configuration","properties":{"type":{"type":"string","description":"Sequence type.","enum":["NON_POOLED_SEQUENCES","POOLED_SEQUENCES","PREFETCHED_SEQUENCES"]},"assignmentMode":{"type":"string","description":"Assignment procedure.","enum":["MANUAL","AUTOMATIC","SEMI_AUTOMATIC","FREE"]},"length":{"type":"integer","format":"int32","description":"Length.","minimum":0},"padChar":{"type":"string","description":"Padding character.","maxLength":1,"minLength":1,"pattern":"^[0-9]*$"},"expression":{"type":"string","description":"Prefix expression."},"postExpression":{"type":"string","description":"Postfix expression."},"initialValue":{"type":"integer","format":"int64","description":"Initial value."},"numberUnique":{"type":"boolean","default":true,"description":"Uniqueness check."}},"required":["assignmentMode","initialValue","length","padChar","type"]},"common-variant-VariantValueReference":{"description":"Variant values.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"Label.","readOnly":true},"description":{"type":"string","description":"Description.","readOnly":true},"variantAttributeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## DELETE /erp/products/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Product","description":"Article copying."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/products/{id}":{"delete":{"tags":["Product"],"summary":"Delete an existing Resource","operationId":"delete_20","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /erp/products/{id}/copy

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Product","description":"Article copying."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/products/{id}/copy":{"post":{"tags":["Product"],"operationId":"copy","parameters":[{"name":"id","in":"path","description":"Product identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ProductCopyCommand"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-Product"}}}}}}}},"components":{"schemas":{"erp-product-ProductCopyCommand":{"properties":{"modules":{"type":"array","description":"Relations to be copied","items":{"type":"string","description":"Relations to be copied","enum":["CUSTOM","CUSTOMERS","MEDIA","SUPPLIERS","TEXTS","PRICES","SERIAL_NUMBER"]},"uniqueItems":true},"copyEntries":{"type":"array","description":"Mapping of Articles to be copied","items":{"$ref":"#/components/schemas/erp-product-ArticleCopyEntry"},"minItems":1,"uniqueItems":true},"productType":{"type":"string","description":"Article types.","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"]}},"required":["copyEntries"]},"erp-product-ArticleCopyEntry":{"description":"Mapping of Articles to be copied","properties":{"originalArticleId":{"type":"string","description":"ID of original article"},"newNumber":{"type":"string","description":"new number for the copy","minLength":1}},"required":["newNumber"]},"erp-product-Product":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bundle":{"type":"boolean","default":false,"description":"Is this a container?"},"bundleSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"type":{"type":"string","description":"Article types.","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"]},"articleRefs":{"type":"array","description":"All articles belonging to this product.","items":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"readOnly":true},"availabilityDetermination":{"$ref":"#/components/schemas/erp-product-ArticleAvailabilityDetermination"},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]},"expiryDateType":{"type":"string","description":"Expiry date type for serial articles.","enum":["NONE","BEST_BEFORE_DATE","EXPIRATION_DATE"]},"minimumRemainingDaysBeforeExpiryDateOnGoodsReceipt":{"type":"integer","format":"int32","description":"Minimum remaining shelf life incoming (days): minimum remaining shelf life in days an article must still have when booked into a sales storage."},"minimumRemainingDaysBeforeExpiryDateForGoodsIssued":{"type":"integer","format":"int32","description":"Minimum remaining shelf life outgoing (days): minimum remaining shelf life in days an article must still have when sold."},"warrantyInMonths":{"type":"integer","format":"int32","description":"Warranty in months."},"lotOnlyRequiredWhenBookedToSalesStorage":{"type":"boolean","default":false,"description":"A lot must be assigned when booking into a sales storage (for serial types LOT and BEST_BEFORE)."},"serialNumberLabelingType":{"type":"string","description":"Serial number labeling type.","enum":["MANUAL","AUTOMATIC_ON_SUPPLIER_ORDER","AUTOMATIC_ON_SUPPLIER_DELIVERY"]},"fabricationSerialNumberLabelingType":{"type":"string","description":"Fabrication serial number labeling type.","enum":["QUERY_ON_START","QUERY_ON_FINISH","INHERITANCE","AUTOMATICALLY_ON_START","AUTOMATICALLY_ON_FINISH"]},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":15,"minLength":0},"countryOfOrigin":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"regionOfOrigin":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"useSerialSequencerConfiguration":{"type":"boolean","description":"Should an own number range be used for the serial numbers?"},"serialSequencerConfiguration":{"$ref":"#/components/schemas/common-sequencer-SequencerConfiguration"},"variantValues":{"type":"array","description":"Variant values.","items":{"$ref":"#/components/schemas/common-variant-VariantValueReference"}},"variantSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"mainVariantProductRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-product-ProductArticleRef":{"description":"All articles belonging to this product.","properties":{"id":{"type":"integer","format":"int64","description":"Article identifier."},"number":{"type":"string","description":"Article number"},"name":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]},"unit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["unit"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-product-ArticleAvailabilityDetermination":{"description":"Availability determination for the article master data and the stock view.","properties":{"inStock":{"type":"string","description":"How the stock is handled.","enum":["IGNORE","ADD","SUBTRACT"]},"reserved":{"type":"string","description":"How reserved quantities are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"ordered":{"type":"string","description":"How ordered quantities are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"inPicking":{"type":"string","description":"How quantities in picking are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"reporting":{"type":"string","description":"How reorder levels are handled.","enum":["IGNORE","ADD","SUBTRACT"]}}},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"common-sequencer-SequencerConfiguration":{"description":"Own number range for serial numbers.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"Unique key to identify the sequencer configuration","readOnly":true},"configurationGroup":{"type":"string","description":"Group of the sequencer configuration (e.g. Document, Account, ...)","readOnly":true},"configurationDetail":{"$ref":"#/components/schemas/common-sequencer-SequencerConfigurationDetail"},"alternativeConfiguration":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the sequencer active?"}},"required":["configurationDetail"]},"common-sequencer-SequencerConfigurationDetail":{"description":"Contains details about the sequencer configuration","properties":{"type":{"type":"string","description":"Sequence type.","enum":["NON_POOLED_SEQUENCES","POOLED_SEQUENCES","PREFETCHED_SEQUENCES"]},"assignmentMode":{"type":"string","description":"Assignment procedure.","enum":["MANUAL","AUTOMATIC","SEMI_AUTOMATIC","FREE"]},"length":{"type":"integer","format":"int32","description":"Length.","minimum":0},"padChar":{"type":"string","description":"Padding character.","maxLength":1,"minLength":1,"pattern":"^[0-9]*$"},"expression":{"type":"string","description":"Prefix expression."},"postExpression":{"type":"string","description":"Postfix expression."},"initialValue":{"type":"integer","format":"int64","description":"Initial value."},"numberUnique":{"type":"boolean","default":true,"description":"Uniqueness check."}},"required":["assignmentMode","initialValue","length","padChar","type"]},"common-variant-VariantValueReference":{"description":"Variant values.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"Label.","readOnly":true},"description":{"type":"string","description":"Description.","readOnly":true},"variantAttributeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["id"]}}}}
```

## GET /erp/products/{id}/suppliers

> For containers: all suppliers for the container articles

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Product","description":"Article copying."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/products/{id}/suppliers":{"get":{"tags":["Product"],"summary":"For containers: all suppliers for the container articles","operationId":"getSuppliersByProduct","parameters":[{"name":"id","in":"path","description":"Product identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-product-ArticleSupplier"}}}}}}}}},"components":{"schemas":{"erp-product-ArticleSupplier":{"description":"Article-Supplier-Relation","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"string","description":"Referenced Article"},"articleName":{"type":"string","description":"Referenced Article name"},"accountId":{"type":"string","description":"Referenced Supplier-Account"},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"accountDisplayName":{"type":"string","description":"Account display name.","readOnly":true},"active":{"type":"boolean","default":true,"description":"Is this active?"},"supplierArticleNumber":{"type":"string","description":"Deviating product number."},"supplierArticleName":{"type":"string","description":"Deviating product name."},"supplierArticleDescription":{"type":"string","description":"Deviating product description."},"supplierArticleIdentifier":{"type":"string","description":"Deviating product identifier (e.g. barcode)."},"useSupplierArticleNumber":{"type":"boolean","default":false,"description":"Should the deviating product number be used (e.g. in documents)?"},"useSupplierArticleName":{"type":"boolean","default":false,"description":"Should the deviating product name be used (e.g. in documents)?"},"useSupplierArticleDescription":{"type":"boolean","default":false,"description":"Should the deviating product description be used (e.g. in documents)?"},"useSupplierArticleIdentifier":{"type":"boolean","default":false,"description":"Should the deviating product identifier be used (e.g. when scanning)?"},"purchaseUnit":{"type":"number","description":"Purchase unit."},"packagingUnit":{"type":"number","description":"Packaging unit."},"productUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"orderUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"deliveryTime":{"type":"integer","format":"int32","description":"Delivery time in (working) days."},"minimumOrderQuantity":{"type":"number","description":"Minimum order quantity."},"supplierReportingStock":{"type":"number","description":"Supplier reorder level."},"mainSupplier":{"type":"boolean","default":false,"description":"Main supplier."},"discountGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultNetPrice":{"type":"number","description":"Default net price."},"defaultGrossPrice":{"type":"number","description":"Default gross price."},"productPrices":{"type":"array","description":"Supplier prices.","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"},"readOnly":true},"orderOnComponentBase":{"type":"boolean","default":true,"description":"Should assemblies be ordered on a component basis?"},"dropShippingAllowed":{"type":"boolean","description":"Indicates whether drop shipping is allowed."},"supplierPrintLabelSettings":{"$ref":"#/components/schemas/erp-product-ArticlePrintLabelSettings"}},"required":["accountId","active","articleId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-product-ProductPrice":{"description":"Contains a sales or purchase price for a product.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Net price."},"grossPrice":{"type":"number","description":"Gross price."},"priceBase":{"type":"string","description":"Price base.","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Determines whether this is a sales or a purchase price.","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Purchase price for the calculation.","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Surcharge value in the purchase price calculation."},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Determines from which quantity this price is valid."},"validFrom":{"type":"string","format":"date","description":"Valid from."},"validUntil":{"type":"string","format":"date","description":"Valid until."},"specialOfferPrice":{"type":"boolean","default":false,"description":"Special offer price."},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}},"erp-product-ArticlePrintLabelSettings":{"description":"Label printing settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"report":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"incomingCalculationMode":{"type":"string","description":"Incoming goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"incomingPrintQuantity":{"type":"integer","format":"int32","description":"Incoming goods: print quantity."},"outgoingCalculationMode":{"type":"string","description":"Outgoing goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"outgoingPrintQuantity":{"type":"integer","format":"int32","description":"Outgoing goods: print quantity."}}}}}}
```

## GET /erp/products/{id}/customers

> For containers: all customers for the container articles

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Product","description":"Article copying."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/products/{id}/customers":{"get":{"tags":["Product"],"summary":"For containers: all customers for the container articles","operationId":"getCustomersByProduct","parameters":[{"name":"id","in":"path","description":"Product identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-product-ArticleCustomer"}}}}}}}}},"components":{"schemas":{"erp-product-ArticleCustomer":{"description":"Article-Customer-Relation","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"integer","format":"int64","description":"Referenced Article"},"articleName":{"type":"string","description":"Referenced Article name"},"accountId":{"type":"integer","format":"int64","description":"Referenced Customer-Account"},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"accountDisplayName":{"type":"string","description":"Account display name.","readOnly":true},"active":{"type":"boolean","description":"Is this active?"},"deviatingArticleNumber":{"type":"string","description":"Deviating product number."},"deviatingArticleName":{"type":"string","description":"Deviating product name."},"deviatingArticleDescription":{"type":"string","description":"Deviating product description."},"deviatingArticleIdentifier":{"type":"string","description":"Deviating product identifier (e.g. barcode)."},"useDeviatingArticleNumber":{"type":"boolean","description":"Should the deviating product number be used (e.g. in documents)?"},"useDeviatingArticleName":{"type":"boolean","description":"Should the deviating product name be used (e.g. in documents)?"},"useDeviatingArticleDescription":{"type":"boolean","description":"Should the deviating product description be used (e.g. in documents)?"},"useDeviatingArticleIdentifier":{"type":"boolean","description":"Should the deviating product identifier be used (e.g. when scanning)?"},"lockedForCustomer":{"type":"boolean","description":"Is the product blocked for the customer?"},"defaultNetPrice":{"type":"number","description":"Default net price."},"defaultGrossPrice":{"type":"number","description":"Default gross price."},"productPrices":{"type":"array","description":"Customer prices.","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"},"readOnly":true},"customerPrintLabelSettings":{"$ref":"#/components/schemas/erp-product-ArticlePrintLabelSettings"},"priceDetermination":{"type":"string","default":"DEFAULT","description":"Price determination type.","enum":["DEFAULT","SPECIAL","ONLY_DEFAULT_PRICE"]}},"required":["accountId","articleId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-product-ProductPrice":{"description":"Contains a sales or purchase price for a product.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Net price."},"grossPrice":{"type":"number","description":"Gross price."},"priceBase":{"type":"string","description":"Price base.","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Determines whether this is a sales or a purchase price.","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Purchase price for the calculation.","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Surcharge value in the purchase price calculation."},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Determines from which quantity this price is valid."},"validFrom":{"type":"string","format":"date","description":"Valid from."},"validUntil":{"type":"string","format":"date","description":"Valid until."},"specialOfferPrice":{"type":"boolean","default":false,"description":"Special offer price."},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}},"erp-product-ArticlePrintLabelSettings":{"description":"Label printing settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"report":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"incomingCalculationMode":{"type":"string","description":"Incoming goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"incomingPrintQuantity":{"type":"integer","format":"int32","description":"Incoming goods: print quantity."},"outgoingCalculationMode":{"type":"string","description":"Outgoing goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"outgoingPrintQuantity":{"type":"integer","format":"int32","description":"Outgoing goods: print quantity."}}}}}}
```

## GET /erp/products/{id}/convertPriceForGivenUnitTypeForAnotherUnitType

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Product","description":"Article copying."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/products/{id}/convertPriceForGivenUnitTypeForAnotherUnitType":{"get":{"tags":["Product"],"operationId":"convertGivenPriceForGivenBundleForAnotherBundle","parameters":[{"name":"id","in":"path","description":"Product identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"priceUnitTypeId","in":"query","required":true,"style":"form","schema":{"type":"string","description":"Identifier of the unit type the price applies to."}},{"name":"convertToUnitTypeId","in":"query","required":true,"style":"form","schema":{"type":"string","description":"Identifier of the unit type the price is converted to."}},{"name":"price","in":"query","required":true,"style":"form","schema":{"type":"string","description":"Price."}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"number"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/product.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
